<?php
/**
 * @author Acacia Dynamic
 * @copyright 2024 Acacia Dynamic
 * @license private
 */
if (file_exists('./../../../../wp-load.php')) {
    define('WP_USE_THEMES', false); // Don't load theme support functionality
    require './../../../../wp-load.php';
} else {
    require './../../../../config/config.inc.php';
    require './../../../../init.php';
    require_once './../../digitalsignage.php';
    DigitalSignageTranslate::setLang(substr(get_bloginfo('language'), 0, 2));
}

require_once './DisplayedVideoProduct.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

DisplayedVideoProductAjaxHandler::ajax();

class DisplayedVideoProductAjaxHandler
{
    public static function ajax()
    {
        $idVideo = Tools::getValue('idDemande');
        $idProduct = Tools::getValue('idProduct');
        if ($idProduct && $idVideo) {
            DisplayedVideoProduct::setDisplayedVideoProduct($idProduct, $idVideo);
            if (DisplayedVideoProduct::getDisplayedVideoProduct($idProduct) == $idVideo) {
                exit('ok');
            }
        }
        exit('ko');
    }
}
